Bug 172461 - API allows user to subscribe system to incompatible base channel
API allows user to subscribe system to incompatible base channel
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Brandon Perkins
Depends On:
Blocks: 172725
  Show dependency treegraph
Reported: 2005-11-04 16:10 EST by Beth Nackashi
Modified: 2007-06-20 14:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-19 14:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2005-11-04 16:10:19 EST
Description of problem:
It is possible to use ~svn/qa/api_test/test_system.set_base_channel.pl to set a
system to a base channel (not necessarily custom) of an incompatible architecture.

For example:
perl test_system.set_base_channel.pl --user APInormal --channel 2897 --target
Success: 1

decoder ring:
channel 2897 is Red Hat Enterprise Linux AS (v. 4 for 31-bit IBM S/390)
system 1005867575 is test07.rhndev, which is an i386 box
host is webqa (not shown, that's set in the script)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Register a system to a hosted environment
2.  Use the API (~svn/qa/api_test/test_system.set_base_channel.pl) to subscribe
the system to an incompatible base channel as shown in the description.
Actual results:

Expected results:
this should not be allowed

Additional info:
Comment 1 Beth Nackashi 2005-11-04 16:20:03 EST
also, a similar "success" occurs for child channels using the set_base_channel
script ... if it matters.

[bnackash@rhino api_test]$ perl test_system.set_base_channel.pl --user APInormal
--channel 4073 --target 1005867575
Success: 1

channel 4073 is child channel Red Hat Application Server v. 2 (AS v. 4 for ppc)

However, the web UI just says "none" for the base channel.
Comment 3 Brandon Perkins 2006-06-14 13:16:22 EDT
Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: API allows user to subscribe system to incompatible base channel


bnackash@redhat.com changed:

           What    |Removed                     |Added
          QAContact|bnackash@redhat.com         |bperkins@redhat.com

-- Configure bugmail:
https://bugzilla.redhat.com/bugzilla/userprefs.cgi?tab=email ------- You are
receiving this mail because: ------- You are the QA contact for the bug, or are
watching the QA contact. 
Comment 4 Brandon Perkins 2006-06-16 17:21:32 EDT
Verified.  Results:

$ ./test_system.set_base_channel.pl --user bdperkin --channel 109 --target
Fault returned from XML RPC Server, fault code -211: Invalid channel
Comment 5 Beth Nackashi 2006-07-19 14:50:31 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.